## com.sun.jersey.core.spi.component
Class ComponentConstructor<T>

    java.lang.Object
      com.sun.jersey.core.spi.component.ComponentConstructor<T>

Type Parameters:
  `T` - the type to construct

    public class ComponentConstructor<T>

extends java.lang.Object

A constructor of a component.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ComponentConstructor(InjectableProviderContext ipc, java.lang.Class<T> c, ComponentInjector<T> ci)`

Method Summary
`T` `getInstance()` Get a new instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentConstructor

    public ComponentConstructor(InjectableProviderContext ipc,
                                java.lang.Class<T> c,
                                ComponentInjector<T> ci)

Method Detail

### getInstance

    public T getInstance()
                  throws java.lang.InstantiationException,
                         java.lang.IllegalAccessException,
                         java.lang.IllegalArgumentException,
                         java.lang.reflect.InvocationTargetException

  Get a new instance.

  Returns:
    a new instance.
  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.IllegalArgumentException`
    `java.lang.reflect.InvocationTargetException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.